---
title: List all user groups / attendee groups (Legacy Version)
slug: list-all-user-groups-attendee-groups-legacy-version
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendee_groups",
  "name": "List all user / attendee groups",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n    \"data\": [\n        {\n            \"id\": \"13162\",\n            \"type\": \"attendee-group\",\n            \"attributes\": {\n                \"name\": \"Attendees (Virtual)\",\n                \"attendance-type\": \"virtual\",\n                \"default\": true,\n                \"users-are-deletable\": true,\n                \"created-at\": \"2022-08-30T16:26:28.393Z\",\n                \"updated-at\": \"2022-08-30T16:26:28.393Z\",\n                \"attendees-count\": 0\n            },\n           \n        {\n            \"id\": \"13163\",\n            \"type\": \"attendee-group\",\n            \"attributes\": {\n                \"name\": \"Attendees (In-Person)\",\n                \"attendance-type\": \"in_person\",\n                \"default\": true,\n                \"users-are-deletable\": true,\n                \"created-at\": \"2022-08-30T16:26:28.397Z\",\n                \"updated-at\": \"2022-08-30T16:26:28.397Z\",\n                \"attendees-count\": 0\n            },\n          \n        {\n            \"id\": \"13164\",\n            \"type\": \"attendee-group\",\n            \"attributes\": {\n                \"name\": \"Attendees (Hybrid)\",\n                \"attendance-type\": \"hybrid\",\n                \"default\": true,\n                \"users-are-deletable\": false,\n                \"created-at\": \"2022-08-30T16:26:28.400Z\",\n                \"updated-at\": \"2022-08-30T16:26:28.400Z\",\n                \"attendees-count\": 6\n            },\n           \n        {\n            \"id\": \"13165\",\n            \"type\": \"attendee-group\",\n            \"attributes\": {\n                \"name\": \"Sponsors (Virtual)\",\n                \"attendance-type\": \"virtual\",\n                \"default\": true,\n                \"users-are-deletable\": true,\n                \"created-at\": \"2022-08-30T16:26:28.404Z\",\n                \"updated-at\": \"2022-08-30T16:26:28.404Z\",\n                \"attendees-count\": 0\n            },\n           \n        {\n            \"id\": \"13166\",\n            \"type\": \"attendee-group\",\n            \"attributes\": {\n                \"name\": \"Sponsors (In-Person)\",\n                \"attendance-type\": \"in_person\",\n                \"default\": true,\n                \"users-are-deletable\": true,\n                \"created-at\": \"2022-08-30T16:26:28.407Z\",\n                \"updated-at\": \"2022-08-30T16:26:28.407Z\",\n                \"attendees-count\": 0\n            },\n           \n        {\n            \"id\": \"13167\",\n            \"type\": \"attendee-group\",\n            \"attributes\": {\n                \"name\": \"Sponsors (Hybrid)\",\n                \"attendance-type\": \"hybrid\",\n                \"default\": true,\n                \"users-are-deletable\": false,\n                \"created-at\": \"2022-08-30T16:26:28.410Z\",\n                \"updated-at\": \"2022-08-30T16:26:28.410Z\",\n                \"attendees-count\": 0\n            },\n          \n        {\n            \"id\": \"15467\",\n            \"type\": \"attendee-group\",\n            \"attributes\": {\n                \"name\": \"Test Group\",\n                \"attendance-type\": \"virtual\",\n                \"default\": false,\n                \"users-are-deletable\": true,\n                \"created-at\": \"2023-02-21T12:00:21.936Z\",\n                \"updated-at\": \"2023-07-12T15:08:33.120Z\",\n                \"attendees-count\": 0\n            },\n          \n        {\n            \"id\": \"15468\",\n            \"type\": \"attendee-group\",\n            \"attributes\": {\n                \"name\": \"Test Group 2\",\n                \"attendance-type\": \"virtual\",\n                \"default\": false,\n                \"users-are-deletable\": true,\n                \"created-at\": \"2023-02-21T12:02:36.920Z\",\n                \"updated-at\": \"2023-02-21T12:02:56.020Z\",\n                \"attendees-count\": 0\n            },\n           \n        {\n            \"id\": \"15469\",\n            \"type\": \"attendee-group\",\n            \"attributes\": {\n                \"name\": \"test\",\n                \"attendance-type\": \"virtual\",\n                \"default\": false,\n                \"users-are-deletable\": true,\n                \"created-at\": \"2023-02-21T12:23:59.503Z\",\n                \"updated-at\": \"2023-02-21T12:23:59.503Z\",\n                \"attendees-count\": 0\n            },\n            \n    \"meta\": {\n        \"total_count\": 9,\n        \"total_pages\": 1,\n        \"current_page\": 1\n    }\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "2tSw_QUgBKJyFJIGsZQsy",
        "code": "curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendee_groups' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "2tSw_QUgBKJyFJIGsZQsy"
  },
  "description": "List all user / attendee groups in a specific event",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "list-all-user-attendee-groups",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

**Note:**

- The current response returns the associated attendees for each group. This will be removed soon for performance considerations.

